# Some nmake macros for NT Win32 building

!include <ntwin32.mak>

# This line allows NMAKE to work as well

all: generic.exe

# Update the resource if necessary

res.res: res.rc generic.h
    rc -r -fo res.tmp res.rc
    cvtres -i386 res.tmp -o res.res
    del res.tmp

# Update the object file if necessary

generic.obj: generic.c generic.h
    $(cc) $(cflags) $(cvars) generic.c
    cvtomf generic.obj

# Update the executable file if necessary, and if so, add the resource back in.

generic.exe: generic.obj res.res generic.def
    $(link) $(guiflags) -out:generic.exe generic.obj res.res $(guilibs)
